curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "send",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contractKey": "CONTRACT_KEY",
"recipients":[
{
"recipientKey": "RECIPIENT_KEY",
"action": "sign",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson1@mail.com",
"position": 1
},
{
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson2@mail.com",
"position": 2
}
],
}
}'
{
"result": true,
"code": "200",
"message": "Contract sent"
}
Recipient
Send to recipients
Send an existing contract to recipients for signing, approval and more.
POST
/
api
/
recipient
curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "send",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contractKey": "CONTRACT_KEY",
"recipients":[
{
"recipientKey": "RECIPIENT_KEY",
"action": "sign",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson1@mail.com",
"position": 1
},
{
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson2@mail.com",
"position": 2
}
],
}
}'
{
"result": true,
"code": "200",
"message": "Contract sent"
}
One way to send a contract to recipients is when you create a contract. See this page to learn more. If you need to send an existing contract to recipients, use the request below.Documentation Index
Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
Use this file to discover all available pages before exploring further.
Body parameters
Show child attribute
Show child attribute
Action type.
Key of the client.
ID of the user who is sending the contract. If not specified, the default user credentials will be used.
Key of the contract.
Array of recipients, optional. If no array of recipients is provided,
the system will send the contract to those recipients who were added previously.
Show child attribute
Show child attribute
A recipient key corresponds to an existing recipient in the contract you are sending.
Use this parameter if you need to update any parameter of this specific recipient.
What the recipient needs to do with the contract. Available options:
view, sign, approve, and lock.Custom note to the recipient. If not specified, the default message will be sent.
Full name of the recipient.
Email of the recipient.
Signing order. If not specified, all requests will be sent simultaneously.
Response
Status.
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/recipient' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "send",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contractKey": "CONTRACT_KEY",
"recipients":[
{
"recipientKey": "RECIPIENT_KEY",
"action": "sign",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson1@mail.com",
"position": 1
},
{
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson2@mail.com",
"position": 2
}
],
}
}'
{
"result": true,
"code": "200",
"message": "Contract sent"
}
⌘I